Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.multimedia_messaging.notification_manager
Class MessageNotificationManagerClient

    java.lang.Object
      oracle.sdp.parlayx.multimedia_messaging.notification_manager.MessageNotificationManagerClient

    public class MessageNotificationManagerClient

extends Object

Constructor Summary
`MessageNotificationManagerClient()`
`MessageNotificationManagerClient(String assertedId)` This constructor registers the assertedIdentityHandler to insert the SOAP header.

Method Summary
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`String` | `getPassword()`
`oracle.sdp.parlayx.multimedia_messaging.notification_manager.MessageNotificationManager` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`String` | `getUsername()`
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`
`void` | `startMessageNotification(org.csapi.schema.parlayx.common.v2_1.SimpleReference reference, URI messageServiceActivationNumber, String criteria)` Implemented according to Parlay-X 2.1 specification section 8.4.1.
`void` | `stopMessageNotification(String correlator)` Implemented according to the Parlay-X 2.1 specification section 8.4.2.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageNotificationManagerClient

    public MessageNotificationManagerClient()
                                     throws Exception

Throws:
  `Exception`

### MessageNotificationManagerClient

    public MessageNotificationManagerClient(String assertedId)
                                     throws Exception

  This constructor registers the assertedIdentityHandler to insert the SOAP header. This constructor should be called if the client is in the trusted host list of the Aggregation Proxy

  Parameters:
    `assertedId` - The asserted identity to be used to identify the user.
  Throws:
    `Exception`

Method Detail

### startMessageNotification

    public void startMessageNotification(org.csapi.schema.parlayx.common.v2_1.SimpleReference reference,
                                         URI messageServiceActivationNumber,
                                         String criteria)
                                  throws RemoteException,
                                         org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                         org.csapi.schema.parlayx.common.v2_1.PolicyException

  Implemented according to Parlay-X 2.1 specification section 8.4.1. The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain. When communicating with a SIP messaging endpoint, the following exceptions/clarifications apply:
  - The messageServiceActivationNumber translates to the SIP Address-Of-Record of the user for whom message notifications will be delivered. Since the OCMS MessageNotificationManagerClient implementation adds a header to the SOAP message with the P-Asserted-Identity of the user, this method always checks that the messageServiceActivationNumber and the P-Asserted-Identity in the SOAP message headers match ( to ensure the client endpoint is not registering to listen to notifications for a SIP user other than that represented by the client endpoint ), otherwise it a ServiceException with error code SVC002 is thrown.
  - The criteria parameter is currently ignored.
  <

  Parameters:
    `reference` - Reference to the notification interface.
    `messageServiceActivationNumber` - See Description.
    `criteria` - ignored.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`

### stopMessageNotification

    public void stopMessageNotification(String correlator)
                                 throws RemoteException,
                                        org.csapi.schema.parlayx.common.v2_1.ServiceException,
                                        org.csapi.schema.parlayx.common.v2_1.PolicyException

  Implemented according to the Parlay-X 2.1 specification section 8.4.2. The behavior of this operation varies depending on whether the service endpoint is in the SIP domain or the general messaging domain.

  Parameters:
    `correlator` - Correlator passed in startMessageNotification.
  Throws:
    `RemoteException`
    `org.csapi.schema.parlayx.common.v2_1.PolicyException`
    `org.csapi.schema.parlayx.common.v2_1.ServiceException`

### getPort

    public oracle.sdp.parlayx.multimedia_messaging.notification_manager.MessageNotificationManager getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.